> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vortexpdf.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete template

> Delete a template



## OpenAPI

````yaml https://vortexpdf.com/openapi delete /api/v1/templates/{id}
openapi: 3.0.0
info:
  title: Vortex PDF
  version: '1.0'
servers:
  - url: https://vortexpdf.com
    variables: {}
security: []
tags: []
paths:
  /api/v1/templates/{id}:
    delete:
      tags:
        - Templates
      summary: Delete template
      description: Delete a template
      operationId: VortexWeb.API.V1.TemplateController.delete
      parameters:
        - description: Template ID
          example: 3fa85f64-5717-4562-b3fc-2c963f66afa6
          in: path
          name: id
          required: true
          schema:
            format: uuid
            type: string
      responses:
        '204':
          content:
            application/json:
              schema:
                type: string
          description: No content
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/auth_error_response'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/auth_error_response'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error_response'
          description: Not found
      callbacks: {}
      security:
        - authorization: []
components:
  schemas:
    auth_error_response:
      description: Response when authentication or authorization fails
      example:
        error: unauthorized
        message: Authentication required to access this resource
      properties:
        error:
          description: Error message describing the authentication or authorization failure
          enum:
            - unauthorized
            - forbidden
            - invalid_token
            - expired_token
            - insufficient_permissions
          type: string
        message:
          description: A more detailed message explaining the error
          type: string
      required:
        - error
      title: auth_error_response
      type: object
    error_response:
      description: Response when an error occurs
      properties:
        error:
          properties:
            message:
              description: Error message
              type: string
          required:
            - message
          type: object
      required:
        - error
      title: error_response
      type: object
  securitySchemes:
    authorization:
      description: Manage your API keys at https://vortexpdf.com/api-keys
      scheme: bearer
      type: http

````